> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Storage Config

> Re-run validation on an existing storage config to verify connectivity.



## OpenAPI

````yaml POST /storage-configs/{uid}/test/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /storage-configs/{uid}/test/:
    parameters:
      - name: uid
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - storage-configs
      description: Re-run validation on an existing storage config to verify connectivity.
      operationId: storage-configs_test_connection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StorageConfigList'
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageConfigList'
components:
  schemas:
    StorageConfigList:
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        name:
          title: Name
          type: string
          readOnly: true
          minLength: 1
        provider:
          title: Provider
          type: string
          enum:
            - aws_s3
            - gc_storage
          readOnly: true
        s3_bucket_name:
          title: S3 bucket name
          type: string
          readOnly: true
          minLength: 1
        s3_bucket_region:
          title: S3 bucket region
          type: string
          readOnly: true
          minLength: 1
        s3_bucket_prefix:
          title: S3 bucket prefix
          type: string
          readOnly: true
          minLength: 1
        s3_is_accelerated:
          title: S3 is accelerated
          type: boolean
          readOnly: true
        s3_auth_method:
          title: S3 auth method
          type: string
          enum:
            - access_key
            - iam_role
            - default_chain
          readOnly: true
        gc_storage_bucket_name:
          title: Gc storage bucket name
          type: string
          readOnly: true
          minLength: 1
        gc_storage_prefix:
          title: Gc storage prefix
          type: string
          readOnly: true
          minLength: 1
        is_verified:
          title: Is verified
          type: boolean
          readOnly: true
        last_verified_at:
          title: Last verified at
          type: string
          format: date-time
          readOnly: true
          nullable: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````